/[autoconf]/autoconf/autoconf.in
ViewVC logotype

Diff of /autoconf/autoconf.in

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.120 by akim, Tue May 22 14:04:22 2001 UTC revision 1.121 by proski, Sat Jun 2 05:50:15 2001 UTC
# Line 237  done Line 237  done
237  $debug ||  $debug ||
238  {  {
239    trap 'status=$?; rm -rf $tmp && exit $status' 0    trap 'status=$?; rm -rf $tmp && exit $status' 0
240    trap '(exit $?); exit' 1 2 13 15    trap '(exit 1); exit 1' 1 2 13 15
241  }  }
242    
243  # Create a (secure) tmp directory for tmp files.  # Create a (secure) tmp directory for tmp files.
# Line 252  $debug || Line 252  $debug ||
252  } ||  } ||
253  {  {
254     echo "$me: cannot create a temporary directory in $TMPDIR" >&2     echo "$me: cannot create a temporary directory in $TMPDIR" >&2
255     (exit 1); exit;     (exit 1); exit 1;
256  }  }
257    
258  # Running m4.  # Running m4.
# Line 282  case $# in Line 282  case $# in
282    *) exec >&2    *) exec >&2
283       echo "$me: invalid number of arguments."       echo "$me: invalid number of arguments."
284       echo "$help"       echo "$help"
285       (exit 1); exit ;;       (exit 1); exit 1 ;;
286  esac  esac
287    
288  # Unless specified, the output is stdout.  # Unless specified, the output is stdout.
# Line 294  if test z$infile = z-; then Line 294  if test z$infile = z-; then
294    cat >$infile    cat >$infile
295  elif test ! -r "$infile"; then  elif test ! -r "$infile"; then
296    echo "$me: $infile: No such file or directory" >&2    echo "$me: $infile: No such file or directory" >&2
297    (exit 1); exit    (exit 1); exit 1
298  fi  fi
299    
300  # Output is produced into FD 4.  Prepare it.  # Output is produced into FD 4.  Prepare it.
# Line 316  case $task in Line 316  case $task in
316    : >$tmp/forbidden.rx    : >$tmp/forbidden.rx
317    : >$tmp/allowed.rx    : >$tmp/allowed.rx
318    $run_m4f -Dm4_warnings=$m4_warnings $infile >$tmp/configure ||    $run_m4f -Dm4_warnings=$m4_warnings $infile >$tmp/configure ||
319      { (exit 1); exit; }      { (exit 1); exit 1; }
320    
321    if test "x$outfile" != x-; then    if test "x$outfile" != x-; then
322      chmod +x $outfile      chmod +x $outfile
# Line 429  EOF Line 429  EOF
429           `$verbose "-v verbose=1"` \           `$verbose "-v verbose=1"` \
430           -f "$tmp/finalize.awk" <$tmp/configure >&4 ||           -f "$tmp/finalize.awk" <$tmp/configure >&4 ||
431        { test -f "$tmp/finalize.err" && cat "$tmp/finalize.err" >&2        { test -f "$tmp/finalize.err" && cat "$tmp/finalize.err" >&2
432          (exit 1); exit; }          (exit 1); exit 1; }
433      test -f "$tmp/finalize.err" && cat "$tmp/finalize.err" >&2      test -f "$tmp/finalize.err" && cat "$tmp/finalize.err" >&2
434    ;; # End of the task script.    ;; # End of the task script.
435    
# Line 691  EOF Line 691  EOF
691        trace_opt="$trace_opt -t $base_name -t m4_$base_name"        trace_opt="$trace_opt -t $base_name -t m4_$base_name"
692        echo "$base_name$trace_format" |        echo "$base_name$trace_format" |
693          $AWK -f $tmp/translate.awk >>$tmp/trace.m4 ||          $AWK -f $tmp/translate.awk >>$tmp/trace.m4 ||
694            { (exit 1); exit; }            { (exit 1); exit 1; }
695        echo "m4_$base_name$trace_format" |        echo "m4_$base_name$trace_format" |
696          $AWK -f $tmp/translate.awk >>$tmp/trace.m4 ||          $AWK -f $tmp/translate.awk >>$tmp/trace.m4 ||
697            { (exit 1); exit; }            { (exit 1); exit 1; }
698      else      else
699        # MACRO_NAME is not a builtin.        # MACRO_NAME is not a builtin.
700        trace_opt="$trace_opt -t $macro_name"        trace_opt="$trace_opt -t $macro_name"
701        echo "$trace" |        echo "$trace" |
702          $AWK -f $tmp/translate.awk >>$tmp/trace.m4 ||          $AWK -f $tmp/translate.awk >>$tmp/trace.m4 ||
703            { (exit 1); exit; }            { (exit 1); exit 1; }
704      fi      fi
705      echo >>$tmp/trace.m4      echo >>$tmp/trace.m4
706    done    done
# Line 740  EOF Line 740  EOF
740          ' >&4 ||          ' >&4 ||
741        {        {
742          echo "$me: tracing failed" >&2          echo "$me: tracing failed" >&2
743          (exit 1); exit          (exit 1); exit 1
744        }        }
745    ;;    ;;
746    
# Line 750  EOF Line 750  EOF
750    ## ------------ ##    ## ------------ ##
751    
752    *) echo "$me: internal error: unknown task: $task" >&2    *) echo "$me: internal error: unknown task: $task" >&2
753      (exit 1); exit      (exit 1); exit 1
754  esac  esac
755    
756  (exit $status); exit  (exit $status); exit $status

Legend:
Removed from v.1.120  
changed lines
  Added in v.1.121

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26